# IRdVertexSelectionStream Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetNumVertexSelectionWeights ([out, retval] RtDWORD *dwNumVertexSelectionWeights)
HRESULT | SetNumVertexSelectionWeights ([in] RtDWORD dwNumVertexSelectionWeights)
## Properties
RtFloat * | weight ([in] RtDWORD dwIndex)`[get]`
RtFloat | weight ([in] RtDWORD dwIndex)`[set]`
RtUlong * | orgelementindex ([in] RtDWORD dwIndex)`[get]`
RtUlong | orgelementindex ([in] RtDWORD dwIndex)`[set]`

## Detailed Description

IRdVertexSelectionStream:

- Specifies vertex selection weights and vertex lookup table. type for this stream is RtVertexSelectionWeight.
- The stream is part of IRdMesh and is stored in Vertex stream group.
- Stream is identified by STREAMID_VERTEX_SEL_WEIGHTS id.

## Member Function Documentation

HRESULT IRdVertexSelectionStream::GetNumVertexSelectionWeights | ( | [out, retval] RtDWORD * | dwNumVertexSelectionWeights | ) |

Get number of vertices.

Returns:
  dwNumVertexSelectionWeights [out,retval] Returns number of vertices.

  standard HRESULT processing can be applied to returned value.

HRESULT IRdVertexSelectionStream::SetNumVertexSelectionWeights | ( | [in] RtDWORD | dwNumVertexSelectionWeights | ) |

Set number of vertices.

Parameters:

  | dwNumVertexSelectionWeights | [in] Set number of vertices.

Returns:
  standard HRESULT processing can be applied to returned value.

## Property Documentation

RtFloat* IRdVertexSelectionStream::weight([in] RtDWORD dwIndex)`[get]`

Get weight of i-th vertex.

Parameters:

  | dwIndex | [in] Index value of vertex to analyze.

Returns:
  pVal [out,retval] Returned weight value.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdVertexSelectionStream::weight([in] RtDWORD dwIndex)`[set]`

Set weight of i-th vertex.

Parameters:

  | dwIndex | [in] Index value of vertex.
  | newVal | [in] New weight value to set.

Returns:
  standard HRESULT processing can be applied to returned value.

RtUlong * IRdVertexSelectionStream::orgelementindex([in] RtDWORD dwIndex)`[get]`

Get previous element type of i-th vertex. Type is defined by RtOrgElementTypes enum.

Parameters:

  | dwIndex | [in] Index value of vertex.

Returns:
  pVal [out,retval] Returns value of previous element type.

  standard HRESULT processing can be applied to returned value.

RtUlong IRdVertexSelectionStream::orgelementindex([in] RtDWORD dwIndex)`[set]`

Set previous element type of i-th vertex. Type is defined by RtOrgElementTypes enum.

Parameters:

  | dwIndex | [in] Index value of vertex.
  | newVal | [in] New value to set.

Returns:
  standard HRESULT processing can be applied to returned value